import { Label } from 'spritejs'

export class Title {
  constructor(attrs) {
    this.label = null
    this.attrs = attrs
    this.parent = null
  }

  connect(parent) {
    this.parent = parent
  }

  render(attrs = {}) {
    this.label = new Label(Object.assign({}, this.attrs, attrs))
    this.parent.$group.appendChild(this.label)
  }

  update(attrs = {}) {
    this.label.attr(attrs)
    this.attrs = attrs
  }
}
