import * as spritejs from 'spritejs'
import { install } from 'sprite-extend-shapes'

import {
  BaseVisual,
  BasePlugin,
  Chart,
  Lifecycle,
  InteractionHooks,
  registerVisual,
  registerTheme
} from './core'
import * as Util from './util'

spritejs.use(install)

const version = '0.0.1'

export {
  version,
  BaseVisual,
  BasePlugin,
  Chart,
  Lifecycle,
  InteractionHooks,
  registerVisual,
  registerTheme,
  Util
}
